%define version 0.99.7
%define	name    xine-ui2
%define	xineversion 1.2.2

Name:		%name
Summary:	A Free Video Player
Summary(de):	Freier Video Player
Version:	%version
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
Source0:	http://prdownloads.sourceforge.net/xine/xine-ui-%version.tar.xz
URL:		http://xine.sourceforge.net/
Requires:	%{_lib}xine2
Requires:	curl
BuildRequires:	aalib-devel
BuildRequires:	libcaca-devel
BuildRequires:	curl-devel
BuildRequires:	png-devel
BuildRequires:	%{_lib}xine1.2-devel >= %xineversion
BuildRequires:	lirc-devel
BuildRequires:	ncurses-devel
BuildRequires:	%{_lib}nvtvsimple-devel
BuildRequires:	libxt-devel
BuildRoot: %{_tmppath}/%{name}-root
Conflicts:	xine-ui


%description 
xine is a free GPL-licensed video player for UNIX-like systems.

User interface for the X Window system.
#german
%description -l de
Die Benutzeroberfläche des xine-Videoabspielprogramms.

Dies ist eine auf X11-basierende Oberfläche für die libxine-Bibliothek 
zum Abspielen von Videos. Das Paket enthält xine, ein themenbasiertes, 
multimediales Abspielprogramm, das alle Audio- und Videoformate abspielen 
kann, die von libxine unterstützt werden. Zu diesem Zeitpunkt sind das 
MPEG1/2, einige AVI- und Quicktime-Dateien, verschiedene Netzwerk-
Datenströme (Streaming) und optische Speichermedien (VCD, SVCD, DVD). 
Eine komplettere Liste kann unter http://xinehq.de/index.php/features/ 
gefunden werden.

Dieses Paket enthält das zusätzliche Frontend aaxine, das auch auf der 
Konsole funktioniert. aaxine nutzt die Bibliothek aalib, um Videos in 
ASCII-Art oder auch auf einem Framebuffer darzustellen. Dabei handelt es 
sich eher um eine Machbarkeitsstudie, aber Sie können es natürlich auch 
dazu nutzen, um DVD-Videos auf Ihrem alten vt100 Terminal anzusehen.

Die meisten DVDs auf dem heutigen Markt sind mit dem Content Scrambling 
System (CSS) abspielgeschützt.

Xine enthält aus rechtlichen Bedenken keinen Code, um diese zu 
entschlüsseln. 

%files -f xine-ui.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc doc/README*
%_bindir/xine*
%_datadir/xine
%_datadir/pixmaps/*
%_datadir/applications/xine.desktop
%_datadir/icons/hicolor/*/apps/xine*
%_datadir/mime/packages/xine-ui.xml
%_mandir/man1/*

#------------------------- aa ------------------------------------

%package	aa2
Summary:	XINE - Ascii Art player
Summary(de):	XINE - Ascii Art Spieler
Group:		Video
Requires:	%{_lib}xine2
Conflicts:	xine-ui-aa

%description	aa2
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with ascii art (text mode) output.
#german
%description	aa2 -l de
xine ist ein freier unter GPL-lizensierter Videospieler für 
UNIX-ähnliche Systeme.

Benutzerschnittstelle mit Ausgabe als ascii Kunst (im Text Modus). 

%files aa2
%defattr(-,root,root)
%doc README
%_bindir/aaxine
%_bindir/cacaxine

#------------------ fb -----------------------------------

%package	fb2
Summary:	XINE - framebuffer video player
Summary(de):	XINE - Framebuffer Videospieler
Group:		Video
Requires:	%{_lib}xine2
Conflicts:	xine-ui-fb

%description	fb2
xine is a free GPL-licensed video player for UNIX-like systems.

User interface with support for linux framebuffer output.
#german
%description	fb2 -l de
xine ist ein freier unter GPL-lizensierter Videospieler für 
UNIX-ähnliche Systeme.

Benutzerschnittstelle die zur Ausgabe den Framebuffer 
(digitale Kopie des Monitorbildes) verwendet. 

%files fb2
%defattr(-,root,root)
%doc README
%_bindir/fbxine


#--------------- build area ----------------------------------

%prep
%setup -q -n xine-ui-%version

%apply_patches

%build
export XINE_DOCPATH="%_datadir/doc/xine-ui"
%configure2_5x --enable-vdr-keys --with-caca --with-aalib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#language files
%find_lang xine-ui --all-name --with-man

rm -rf %buildroot%_datadir/doc
rm -rf %buildroot%_datadir/xine/desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%name-%version

#--------------changelog ---------------------------------

%changelog
* Sat May 11 2013 Texstar <texstar at gmail.com> 0.99.7-1pclos2013
- redo test packages
